tvbrowser.extras.common

## Class LimitationConfiguration

- java.lang.Object
- - tvbrowser.extras.common.LimitationConfiguration

-     public class LimitationConfiguration
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DAYLIMIT_DAILY`
    `static int` | `DAYLIMIT_FRIDAY`
    `static int` | `DAYLIMIT_MONDAY`
    `static int` | `DAYLIMIT_SATURDAY`
    `static int` | `DAYLIMIT_SUNDAY`
    `static int` | `DAYLIMIT_THURSDAY`
    `static int` | `DAYLIMIT_TUESDAY`
    `static int` | `DAYLIMIT_WEDNESDAY`
    `static int` | `DAYLIMIT_WEEKDAY`
    `static int` | `DAYLIMIT_WEEKEND`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LimitationConfiguration()`
    `LimitationConfiguration(java.io.ObjectInputStream in)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Channel[]` | `getChannels()`
    `int` | `getDayLimit()`
    `int` | `getTimeFrom()`
    `int` | `getTimeTo()`
    `boolean` | `isLimitedByChannel()`
    `boolean` | `isLimitedByTime()`
    `void` | `reValidateChannels()` Tries to load the channels again.
    `void` | `setChannels(Channel[] ch)`
    `void` | `setDayLimit(int daylimit)`
    `void` | `setIsLimitedByChannel(boolean b)`
    `void` | `setIsLimitedByTime(boolean b)`
    `void` | `setTime(int from, int to)`
    `void` | `store(java.io.ObjectOutputStream out)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DAYLIMIT_DAILY

          public static final int DAYLIMIT_DAILY

      See Also:
        Constant Field Values

    - #### DAYLIMIT_WEEKEND

          public static final int DAYLIMIT_WEEKEND

      See Also:
        Constant Field Values

    - #### DAYLIMIT_WEEKDAY

          public static final int DAYLIMIT_WEEKDAY

      See Also:
        Constant Field Values

    - #### DAYLIMIT_SUNDAY

          public static final int DAYLIMIT_SUNDAY

      See Also:
        Constant Field Values

    - #### DAYLIMIT_MONDAY

          public static final int DAYLIMIT_MONDAY

      See Also:
        Constant Field Values

    - #### DAYLIMIT_TUESDAY

          public static final int DAYLIMIT_TUESDAY

      See Also:
        Constant Field Values

    - #### DAYLIMIT_WEDNESDAY

          public static final int DAYLIMIT_WEDNESDAY

      See Also:
        Constant Field Values

    - #### DAYLIMIT_THURSDAY

          public static final int DAYLIMIT_THURSDAY

      See Also:
        Constant Field Values

    - #### DAYLIMIT_FRIDAY

          public static final int DAYLIMIT_FRIDAY

      See Also:
        Constant Field Values

    - #### DAYLIMIT_SATURDAY

          public static final int DAYLIMIT_SATURDAY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### LimitationConfiguration

          public LimitationConfiguration(java.io.ObjectInputStream in)
                                  throws java.io.IOException,
                                         java.lang.ClassNotFoundException

      Throws:
        `java.io.IOException`
        `java.lang.ClassNotFoundException`

    - #### LimitationConfiguration

          public LimitationConfiguration()

  - ### Method Detail

    - #### store

          public void store(java.io.ObjectOutputStream out)
                     throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### setTime

          public void setTime(int from,
                     int to)

    - #### getTimeFrom

          public int getTimeFrom()

    - #### getTimeTo

          public int getTimeTo()

    - #### setChannels

          public void setChannels(Channel[] ch)

    - #### getChannels

          public Channel[] getChannels()

    - #### isLimitedByChannel

          public boolean isLimitedByChannel()

    - #### isLimitedByTime

          public boolean isLimitedByTime()

    - #### setIsLimitedByChannel

          public void setIsLimitedByChannel(boolean b)

    - #### setIsLimitedByTime

          public void setIsLimitedByTime(boolean b)

    - #### setDayLimit

          public void setDayLimit(int daylimit)

    - #### getDayLimit

          public int getDayLimit()

    - #### reValidateChannels

          public void reValidateChannels()

      Tries to load the channels again.

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)